package com.agilex.healthcare.directscheduling.domain;

import java.util.Collection ;

import javax.xml.bind.annotation.XmlAccessType ;
import javax.xml.bind.annotation.XmlAccessorType ;
import javax.xml.bind.annotation.XmlElement ;
import javax.xml.bind.annotation.XmlRootElement ;

import com.agilex.healthcare.directscheduling.domain.BookedAppointment ;
import com.agilex.healthcare.directscheduling.domain.Namespace ;

@XmlRootElement(name = "bookedAppointmentCollection", namespace = Namespace.DirectScheduling)
@XmlAccessorType(value = XmlAccessType.NONE)
public class BookedAppointmentCollection {
	
	private String collectionName ; 
	
	private Collection< BookedAppointment > bookedAppointments ; 
	
	public BookedAppointmentCollection( ) { } 
	
	@XmlElement( name = "collectionName" ) 
	public String getCollectionName( ) {
	
		return collectionName ;
	}
	
	public void setCollectionName( String collectionName ) {
	
		this.collectionName = collectionName ;
	}	

	@XmlElement( name = "bookedAppointments" )
	public Collection< BookedAppointment > getBookedAppointments( ) {
	
		return bookedAppointments ;
	}
	
	public void setBookedAppointments( Collection< BookedAppointment > bookedAppointments ) {
	
		this.bookedAppointments = bookedAppointments ;
	}
}
