package com.agilex.healthcare.directscheduling.domain.facility;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlAccessType ;

import com.agilex.healthcare.directscheduling.domain.Namespace;

@XmlRootElement(name = "facilities", namespace = Namespace.DirectScheduling)
@XmlAccessorType(value = XmlAccessType.NONE)
public class DSFacilities implements Serializable {

	private static final long serialVersionUID = -6970657909566889377L;
	private List< DSFacility > facilityList;

	public DSFacilities() {
		
		facilityList = new ArrayList< DSFacility >( ) ;  
	}

	@XmlElement(name = "facilityProviderList")
	public List< DSFacility> getFacilityList() {

		return facilityList;
	}

	public void setFacilityList( List< DSFacility > facilityList) {

		this.facilityList = facilityList ;
	}
}
