package com.agilex.healthcare.veteranappointment.datalayer.appointment;

import com.agilex.healthcare.veteranappointment.domain.VARAppointmentMetric;

import javax.annotation.Resource;

public class AppointmentMetricsDataLayerRepo implements AppointmentMetricsDataLayer{

	@Resource
	private AppointmentMetricsDao dao;

	@Override
	public VARAppointmentMetric getMetric(String name) {
		return dao.getAppointmentMetric(name);
	}

	@Override
	public VARAppointmentMetric saveMetric(VARAppointmentMetric metric) {
		return dao.saveAppointmentMetric(metric);
	}

	@Override
	public void removeMetric(String name) {
		dao.removeAppointmentMetric(name);
	}
}
