package com.agilex.healthcare.veteranappointment.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequestMessage;

public class InvalidAppointmentRequestMessageException extends RuntimeException {
    private static final long serialVersionUID = 6483364589124871027L;

    private final ValidationErrors<VARAppointmentRequestMessage> errors;

    public InvalidAppointmentRequestMessageException(ValidationErrors<VARAppointmentRequestMessage> errors){
        this.errors = errors;
    }

    public ValidationErrors<VARAppointmentRequestMessage> getErrors(){
        return errors;
    }
}
