package com.agilex.healthcare.veteranappointment.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.veteranappointment.domain.VARPatientPreference;

public class InvalidPreferenceDetailsException extends RuntimeException {

	private static final long serialVersionUID = -6987230725868727845L;
	
	private final ValidationErrors<VARPatientPreference> errors;
	
	public InvalidPreferenceDetailsException(ValidationErrors<VARPatientPreference> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<VARPatientPreference> getErrors(){
		return errors;
	}
	
}
