package com.agilex.healthcare.veteranappointment.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.UserFeedback;
import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;


public class InvalidUserFeedbackException extends RuntimeException {
	private static final long serialVersionUID = 6483364589124871027L;
	
	private final ValidationErrors<UserFeedback> errors;

	public InvalidUserFeedbackException(ValidationErrors<UserFeedback> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<UserFeedback> getErrors(){
		return errors;
	}
}
