#!/bin/sh

echo "Pull the latest wsdls before you run below script"

export CLASSPATH=${CLASSPATH}:$AXIS_HOME/lib/axis-ant.jar:$AXIS_HOME/lib/axis.jar:$AXIS_HOME/lib/commons-discovery-0.2.jar:$AXIS_HOME/lib/commons-logging-1.0.4.jar:$AXIS_HOME/lib/jaxrpc.jar:$AXIS_HOME/lib/log4j-1.2.8.jar:$AXIS_HOME/lib/saaj.jar:$AXIS_HOME/lib/wsdl4j-1.5.1.jar;

function gen_client () {
if [[ -d "../src/main/java/com/agilex/healthcare/directscheduling/mdws/generatedwsdl/$1" ]] ; then
rm -rf "../src/main/java/com/agilex/healthcare/directscheduling/mdws/generatedwsdl/$1"
fi

echo $2.wsdl
wsimport -extension -Xnocompile -XadditionalHeaders -B-XautoNameResolution -s ../src/main/java -p com.agilex.healthcare.directscheduling.mdws.generatedwsdl.$1 -keep -wsdllocation META-INF/$2.wsdl "../src/main/resources/META-INF/$2.wsdl"
rm -rf ./com
}

gen_client "schedulingservice" "schedulingsvc"

echo
echo
echo

read -p "Finished, press [ENTER] to Exit"