spool create_vardb.log

WHENEVER SQLERROR EXIT SQL.SQLCODE

declare
	v_count number(1);
  	v_sql varchar2(500);
  
begin
	select count(1) into v_count from DBA_TABLESPACES where TABLESPACE_NAME= 'VARDB_DATA';
	if v_count = 0 then
    v_sql := 'CREATE TABLESPACE VARDB_DATA DATAFILE ''&1/vardb_data01.dbf'' SIZE 516M autoextend on next 128M';
		EXECUTE IMMEDIATE v_sql;
  	end if;		
  	select count(1) into v_count from DBA_USERS where USERNAME = 'VARDB';
  	if v_count = 0 then
      v_sql := 'CREATE USER VARDB IDENTIFIED BY &2 DEFAULT TABLESPACE VARDB_DATA QUOTA unlimited ON VARDB_DATA';
      EXECUTE IMMEDIATE v_sql;
    end if;
end;
/
grant create session to VARDB;
grant create table to VARDB;
grant QUERY REWRITE to VARDB

spool off

