define(['Global', 'LandingPageItemModel', 'text!../data/landingPage.json'],
	function(Global, LandingPageItemModel, landingPageJSON){
		"use strict";

		return Backbone.Collection.extend({
			model: LandingPageItemModel,
			initialize: function(){
				landingPageJSON = JSON.parse(landingPageJSON);
				this.set(landingPageJSON, {parse: true});
				this.sort();
			},
			comparator: function(modelOne){
				return modelOne.get("priority");
			}
		});
	}
);