define(['Backbone', 'Provider'],
    function(Backbone, Provider) {
        'use strict';

        return Backbone.Collection.extend({
            model: Provider,
            parse: function (response) {
                response.provider = [].concat([
                    {
                        "object-type": "PatientProvider",
                        "personClass": "",
                        "providerId": "",
                        "providerName": "Select"
                    },
                    {
                        "object-type": "PatientProvider",
                        "personClass": "",
                        "providerId": "0",
                        "providerName": "The provider I want to see is not listed"
                    }
                ], response.provider || []);

                return response.provider;
            }
        });
    }
);
