define([
	'Global',
	'text!../html/calendarMonthLegend.html',
	'text!../html/calendarDayLegend.html'
],
	function(Global, monthTemplate, dayTemplate){
		'use strict';
		return Backbone.Marionette.ItemView.extend({
			className: 'cal-legend',
			template: _.template(monthTemplate),
			updateTemplate: function(isDay){
				if (isDay){
					this.template = _.template(dayTemplate);
				} else {
					this.template = _.template(monthTemplate);
				}
				return this;
			}
		});
	}
);