define(['Global', 'Vent', 'text!../html/dsHowToEnroll.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			events: {
				'click #ok-btn': 'showLanding'
			},
			showLanding: function(){
				if(this.fromBooking){
					return vent.trigger("show:bookingLandingPage");
				}
				vent.trigger("show:landing");
			},
			onShow:function(){
				this.delegateEvents();
			}
		});

	}
);