define(['Global', 'Vent', 'text!../html/dsNoFacilities.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			events:{
				"click #ok-btn": "showLanding"
			},
			showLanding: function(){
				vent.trigger("show:landing");
			},
			onShow: function(){
				this.delegateEvents();
			},
			goBack: function(){
				vent.trigger('show:landing');
			}
		});
	}
);