define([
	'Global',
	'text!../html/emptyApptListView.html'

], function(Global, emptyApptList){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		tagName: "label",
		template: _.template(emptyApptList),
		initialize: function(options){
			$.extend(true, this.options, options);
		},
		templateHelpers: function(){
			var that = this;
			return {
				getMessage: function(){
					var message = that.options.loadingMessage;
					if(that.apptsLoading){
						message = "There are no appointments available";
					}
					return message;
				}
			}
		}
	});
});
