define(
	[
		'Global',
		'Vent',
		'text!../html/errorBookingAppt.html'
	],

	function(Global, vent, template){
		'use strict';
		return Backbone.Marionette.ItemView.extend({
			id: 'error-booking-appt',
			className: 'confirm',
			template: _.template(template),
			events: {
				'click #ok-btn': 'showMonthView'
			},
			onRender: function () {
				this.delegateEvents();
			},
			showMonthView: function(){
				vent.trigger("close:popup");
				vent.trigger("show:ds-calendar-month:view");
			}
		});
	}
);