define([
	'Global',
	'text!../html/errorForm.html'
], function(Global, errorFormTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		template:_.template(errorFormTemplate),
		onRender: function () {
			if (this.options.viewContainer) {
				this.options.viewContainer.empty().append(this.$el);
			}
		}
	});	

});