define(['Global', 'User', 'text!../html/eulaFooter.html'],
    function (Global, User, template) {
        "use strict";
        return Backbone.Marionette.ItemView.extend({
            template: _.template(template),
            events: {
                'click #accept-eula': 'storeAcceptance',
                'click #decline-eula': 'launchpad'
            },
            initialize: function () {
                this.encrypt = Global.getUtilities().encrypt;
            },
            storeAcceptance: function (e) {
                localStorage.setItem(window.location.pathname + 'eula/' + this.encrypt(User.id), Date.now());
                window.location.hash = "main";
            },
            launchpad: function(){
                window.location = "../../../launchpad";
            }
        });
    });
