define([
	'Vent',
	'Global',
	'text!../html/popupHeader.html'
], function(vent, Global, template){
	'use strict';

	return Backbone.Marionette.ItemView.extend({
		model: new Backbone.Model(),
		template:_.template(template),
		events: {
			'click #popup-close-btn': 'close'
		},
		onShow: function (){
            this.delegateEvents();
            $(window).resize();
		},
		onClose: function () {
			this.undelegateEvents();
			vent.trigger("close:popup");
		}
	});
});
