define(['Global', 'Vent', 'text!../html/providerItem.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			tagName: 'option',
			attributes: function(){
				return {
					id: this.model.get('providerId'),
					value: this.model.get('providerId')
				}
			},
			template: _.template(template),
			events: {
				'set': 	'setProvider'
			},
			setProvider: function(){
				vent.trigger('set:new-request:provider', this.model);
			}
		});
	}
);