define(['Global', 'Vent', 'text!../html/sessionExpired.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),			
			attributes: {
				'id': 'session-expired'
			},
			events: {
				'click #re-login': 'login',
				'click #launchpad': 'launchpad'
			},
			launchpad: function(e){
				e.preventDefault();
				vent.trigger("do:launchpad");
			},
			login: function(e){
				e.preventDefault();
				vent.trigger("do:login");
			},
			onShow: function () {
				$('#popup-close-btn').hide();
				this.delegateEvents();
				$('.content').empty();
			}
		});
	}
);