#This class represents a patient and includes related database methods

require "./models/database"
require "./models/patient"

class AppointmentRequest <  DatabaseAccess

  @username = nil
  @user_id  = nil
  @first    = nil
  @last     = nil

  def initialize(args = {})
    super(args)
    @username = args[:username]

    @patient = Patient.new
    @patient.insert(@username)

    @first, @last  = @username.split(".")
    query = "SELECT patient_id FROM #{@SCHEMA}.patient WHERE first_name = '#{@first}' AND last_name = '#{@last}'"
    @results = do_query_hash(query)
    @user_id = @results['patient_id']
  end
  
  def clear_past_requests
    query = "UPDATE #{@SCHEMA}.APPOINTMENT_REQUEST 
              SET STATUS = 'Cancelled', 
              ACTIVE = 0, 
              LAST_UPDATED_DATE = '#{Time.new.strftime('%Y-%m-%d 00:00:00')}'
              WHERE PATIENT_ID = '#{@user_id}'
              AND STATUS = 'Submitted'"

    do_query(query)
  end
  
   
end   