#This class represents a patient and includes related database methods

require "./models/database"

class UserROA <  DatabaseAccess

  attr_accessor :user_id
  attr_accessor :roa_state
  attr_accessor :roa_date

  def initialize
    super({:SCHEMA=>"HADB"})
  end
  
  def populateROA()

    self.user_id ='P011'
    self.roa_state = 1
    self.roa_date = DateTime.now.strftime('%Y-%m-%d %H:%M:%S')

  end

  def populateAndSaveROA()
    self.populateROA
    self.insertRecord(self)
  end

  def insertRecord(target_record)
    puts "insert record"
   
    insert_statement = "INSERT INTO '#{@SCHEMA}.USER_RIGHTOFACCESS'
        (USER_ID,
        ROA_STATE,
        ROA_DATE,
        ROA_FORM)
        VALUES ('#{target_record.user_id}',
        '#{target_record.roa_state}',
        '#{target_record.roa_date}',
        NULL
        );"

    do_query(insert_statement)
    
  end
   
end   