require "./pages/popup_view"

class About < PopupView

	def initialize(driver, kwargs = {})
		args = {
			:id => "about",
			:hash => "about",
			:timeout => 2
		}
		super(driver, args.merge!(kwargs))
	end

	link(:about_btn, :css=>"a[href='#about']")
	div(:about, :id=>"about")
	div(:app_version, :css=>"#about #version")
	button(:ok_button, :css=>"#about #about-ok-btn")

end