#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

require "./pages/page_view"

class AppointmentRequestDetails < PageView

	attr_accessor :statuses

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"request"}.merge!(kwargs))
		@statuses = ["Booked", "Not Booked", "Submitted", "Cancelled"]
	end

	div(:request_status, :id=>'request-status')

	button(:back_btn, :id=>'requests')
  	link(:appointments, :id=>'schedule-list-btn')
	div(:new_message, :class=>'new-message')
	text_area(:message, :id=>'newMessage')
	button(:send_message, :id=>'sendMessage')
	elements(:sent, 'div', :class=>'sent')
	elements(:received, 'div', :class=>'received')
  button(:back_btn, :id=> 'requests')
  button(:cancel_btn, :id=> 'cancel-request-btn')

 end