#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class DSDayView < PageView

	attr_accessor :found_available

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"direct-scheduling"}.merge!(kwargs))
		@found_available = false
	end

	h1(:page_title, :css=>'.ui-title')
	h2(:day_title, :css=>'.calendar-nav.sub-header h2')
	div(:cal_wrapper, :id=>'cal-day-wrapper')
	elements(:slot, 'button', :css=>'button.appointment-slot-btn')
	button(:next_day, :id=>'cal-next-day')
	button(:prev_day, :id=>'cal-prev-day')

	def select_available_time
		@found_available = false
		
		while self.slot_elements.empty? and self.next_day?
			self.next_day
		end

		self.slot_elements.fetch(0).click
	end

end