require "./pages/veteran_appointments"

class PopupView < VeteranAppointments
	def initialize(driver, kwargs = {})
		super(driver, (kwargs[:id] || "popup"), kwargs)
		self.class.div(:popup, :id=>@id)
		self.class.h1(:popup_title, :css=>"#popup .ui-title")
		self.class.button(:close_btn, :css=>"#popup #popup-close-btn")
		self.class.div(:popup_content, :css=>"#popup #popup-content")
		self.class.div(:popup_specific_content, :css=>"#popup ##{@id}")
	end

end