define(['Global', 'text!../html/main.html'],
	function(Global, template){
		'use strict';

		return Backbone.Marionette.Layout.extend({
			template: _.template(template),
			regions:{
                header: "#header",
                content: ".content",
                footer: ".footer",
				popupHeader: "#popup-header",
				popupContent: "#popup-content",
	            subHeader: '#sub-header',
	            infoBox: "#info-box",
                instructionalHeader: '#instructional-header',
	            menu: "#menu",
	            userMenu: "#user-menu"
            },
			onRender: function(){
				this.$el.remove();
				$("body").append(this.$el);
			}
		});

	}
);