define(['Global', 'Layout', 'DSBackBtnNavView'],
	function(Global, Layout, dsBackBtnNavView){
		'use strict';

		describe("Direct Scheduling - Checking the dsBackBtn Callback", function(){
			var view, 
				layout = new Layout(),
				text;

			layout.render();

			beforeEach(function(){
				view = new dsBackBtnNavView();

				dsBackBtnNavView.setCallBack = function(){
					return "this function worked"
				};

				text = dsBackBtnNavView.setCallBack();
				layout.content.show(view);
			});

			it("should have called setCallBack function properly", function(){

				expect(text).toBe("this function worked");
			});
		});

	}
);