define(['Global', 'Vent', 'DSNoFacilitiesView'],
	function(Global, vent, DSNoFacilitiesView){
		"use strict";

		var noFacilitiesView = new DSNoFacilitiesView();

		noFacilitiesView.render();

		describe("No Facilities Page", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('can show the landing page', function(){
				noFacilitiesView.showLanding();

				expect(vent.trigger).toHaveBeenCalledWith('show:landing');
			});

			it('can go back to the landing page', function () {
				noFacilitiesView.goBack();

				expect(vent.trigger).toHaveBeenCalledWith('show:landing')
			})
		});
	}
);