define(['Global', 'Vent', 'DSNotEligible'],
    function(Global, vent, DSNotEligible){
        "use strict";

        var view = new DSNotEligible();
        view.render();

        describe('Direct Scheduling Not Eligible View', function() {

            beforeEach(function(){
                spyOn(vent, 'trigger');
            });

	        it('triggers a call to show landing page', function () {
                view.showLanding();
		        expect(vent.trigger).toHaveBeenCalledWith('show:landing');
	        });

            it('triggers a call to show request listing and request new', function(){
                view.showNewRequest();
                expect(vent.trigger).toHaveBeenCalledWith('show:request:listing');
                expect(vent.trigger).toHaveBeenCalledWith('show:request:new');
            });

        });
    }
);