package com.agilex.healthcare.directscheduling.datalayer;


import com.agilex.healthcare.directscheduling.mdws.connection.MdwsConfiguration;
import com.agilex.healthcare.directscheduling.mdws.connection.SchedulingConnection;
import com.agilex.healthcare.directscheduling.mdws.connection.SchedulingConnectionManager;
import com.agilex.healthcare.directscheduling.mdws.connection.SchedulingConnectionManagerFactory;
import com.agilex.healthcare.directscheduling.mdws.generatedwsdl.schedulingservice.PatientTO;

public class MdwsSchedulingDataLayer {

    protected MdwsConfiguration mdwsConfiguration;

    public MdwsSchedulingDataLayer(MdwsConfiguration mdwsConfiguration) {
        this.mdwsConfiguration = mdwsConfiguration;
    }

    protected SchedulingConnection getAuthenticatedConnection(String siteCode) {
        SchedulingConnectionManager connectionManager = SchedulingConnectionManagerFactory.getInstance();
        return connectionManager.getAuthenticatedSiteConnection(mdwsConfiguration, siteCode);
    }
}
