package com.agilex.healthcare.veteranappointment.exception;

import com.agilex.healthcare.mobilehealthplatform.domain.ValidationErrors;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequest;


public class InvalidAppointmentRequestException extends RuntimeException {
	private static final long serialVersionUID = 6483364589124871027L;
	
	private final ValidationErrors<VARAppointmentRequest> errors;

	public InvalidAppointmentRequestException(ValidationErrors<VARAppointmentRequest> errors){
		this.errors = errors;
	}
	
	public ValidationErrors<VARAppointmentRequest> getErrors(){
		return errors;
	}
}
