define([
	'Global',
	'ResourceLink'
], function(Global, ResourceLink){

	var Resources = Backbone.Collection.extend({
		model: ResourceLink,
		url: "../MobileHealthPlatformWeb/rest/public/resource-directory", //Kicks-off dynamic URIs
		initialize: function(){
			this.deferred = this.fetch({async: false});
		},
		parse: function(response) {
			return response.link;
		}
	});
	return new Resources();
});