define(['Global'],
	function(Global){
		'use strict';

		return Backbone.Model.extend({
			defaults:{
				cancelReasonsList:[]
			},
			parse: function(response){
				var reasons = _.filter(response.cancelReasonsList,function(reason){
					return _.indexOf([1,4,5,6,11,12], 1*reason.number) > -1;
				});
				reasons = _.sortBy(reasons, function(reason){
					return 1*reason.text;
				});
				response.cancelReasonsList = reasons;
				return response;
			}
		});
	}
);