define([
	'Global'
], function(Global){
	'use strict';
	return Backbone.Model.extend({
		defaults: {
			url: '../',
			icon: "grid",
			title: "Launchpad",
			active: "false"
		},
		parse: function(response) {
			if (response.active == "true") {
				response.active = 'ui-btn-active';
			} else {
				response.active = '';
			}
			return response;
		}
	});
	
});