define(['Global', 'Vent', 'text!../html/dsBackBtnNav.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			className: "sub-header calendar-nav",
			template: _.template(template),
			events:{
				"click #back-btn": "goBack"
			},
			setCallBack: function (callBack, view) {
				this.callBack = callBack;
                this.view = view;

				return this;
			},
			goBack: function(){
				if ($.isFunction(this.callBack)) {
					this.callBack.call(this.view);
				}
			},
			onShow: function(){
				if(!$.isFunction(this.callBack)){
					return this.close();
				}
				this.delegateEvents();
			}
		});
	}
);