define(['Global', 'Vent', 'text!../html/dsClinicFacilityInfo.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			className: "sub-header calendar-nav",
			template: _.template(template),
			events:{
				"click #back-btn": "goBack"
			},
			goBack: function(){
				vent.trigger('show:direct-scheduling:book');
			},
			onShow: function(){
				this.delegateEvents();
			}
		});
	}
);