define(
    ['Global', 'Vent', 'text!../html/emailConfirmationView.html'],
    function(Global, vent, template){
        'use strict';
        return Backbone.Marionette.ItemView.extend({
            template: _.template(template),
            events: {
                'click #ok-btn': 'showLanding'
            },
            onShow:function(){
                this.delegateEvents();
            },
            showLanding: function(){
                vent.trigger('show:landing');
            }
        });
    }
);