define([
	'Global',
	'Vent',
	'text!../html/appointmentRequestDetailsReview.html'

], function(Global, Vent, newAppointmentRequestDetailsReviewTemplate){
	'use strict';
	return Backbone.Marionette.ItemView.extend({
		template: _.template(newAppointmentRequestDetailsReviewTemplate),
		modelEvents:{
			"change": "render"
		},
		onRender: function(){
			if (this.options.viewContainer) {
				this.options.viewContainer
					.empty()
					.append(this.$el);
			}

			this.$el.parent().trigger("create");
		},
		templateHelpers: function () {
			return {
				yesNo: function(value){
					return (/^false$/i.test(value) || !value ? "No" : "Yes");
				}
			}
		}
	});
});