define([
	'Vent',
	'Global',
	'text!../html/requestListHeader.html'
], function(vent, Global, requestListHeaderTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({ //Change to collection view
		template:_.template(requestListHeaderTemplate),
		className: "sub-header",
		events:{
			"click #new-request-btn": "showNewRequest",
			"click #back-btn": "showLanding"
		},
		showNewRequest: function(e){
			e.preventDefault();
			vent.trigger("show:request:new");
		},
		showLanding: function(){
			vent.trigger("show:landing");
		},
		onShow: function(){
			this.delegateEvents();
			this.$el.trigger("create");
		}
	});
});

	