require 'mysql'

class DatabaseAccess

	attr_accessor :con, :SCHEMA

	@HOST	= nil
	@USER	= nil
	@DBPASSWORD	= nil
	@SCHEMA		= nil
	@con 	= nil

	def initialize(args = {})
		@HOST = args[:HOST] || "localhost"
		@USER = args[:USER] || "root"
		@DBPASSWORD = args[:PASSWORD] || "Agilexadmin99$"
		@SCHEMA		= args[:SCHEMA] || "VARDB"
	end

	def open_connection
		begin
			@con = Mysql.new(@HOST, @USER, @DBPASSWORD, @SCHEMA)
		rescue Exception => e
			puts "Mysql Connection error %s" % e
		end
		@con
	end

	def do_query query
		open_connection
		if not @con.nil?
			begin
				@result = @con.query(query)
			rescue Exception => e
				puts "Mysql Query Exception %s " % e
			end
		end
		close_connection
		@result
	end

	def do_query_hash query
		@result = do_query(query)
		@result.fetch_hash
	end

	def close_connection
		if not @con.nil?
			begin
				@con.close
			rescue Exception => e
				puts "Mysql Connection close error %s" % e
			end
		end
	end

end