require "./pages/veteran_appointments"

class DialogView < VeteranAppointments
	def initialize(driver, kwargs = {})
		super(driver, (kwargs[:id] || "dialog"), kwargs)
		self.class.div(:dialog, :id=>@id)
		self.class.h1(:dialog_title, :css=>"##{@id} .ui-title")
		self.class.button(:close_btn, :css=>"##{@id} #close-btn")
		self.class.div(:dialog_content, :css=>"##{@id} [data-role='content']")
	end

	def launch_page

		if self.dialog_element.visible?
			wait_until(10){
				not self.dialog_element.visible?
			}
		end

		if not self.dialog_element.visible?

			if current_url.include? "/##{self.hash}"
				wait_until(5){
					not current_url.include? "/##{self.hash}"
				}
			else
				sleep 1
			end

			@driver.get(self.app_url + "/#" + self.hash)

			wait_until(10){
				self.dialog_element.visible?
			}
		end
	end
end