require "./pages/landing_page"

class LandingPageNotLoggedIn < LandingPage

	def initialize(driver, kwargs = {})
		super(driver, {:id=>"main"}.merge!(kwargs))
	end

	div(:intro, :id=>"not-logged-in")
	button(:login, :id=>"login")
	h1(:page_title, :css=>"#main .ui-title")
	
	def click_login_btn()
		if (self.login_element.visible?)
			self.login
		end 
	end

end