#This class represents the veteran appointment request container page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.
require "./pages/page_view"

class VeteranAppointmentRequest < PageView

  def initialize(driver, id = "main")
      super(driver, id)
  end
  #page-object components. The name of the component is the first parameter, where to find the element on the page is the second parameter
 
  link(:new_request_btn, :id => 'new-request-btn')  
  link(:schedule_list_btn, :id => 'schedule-list-btn')
  button(:dismiss_notice_btn, :id => 'dismiss-notice-btn')
  link(:booked_VA_appt, :id => 'schedule-list')
  link(:request_appt, :id => 'requests')
  link(:schedule_appt, :id => 'direct-scheduling')
  link(:facility_locator, :xpath => '//*[@id="landing-page-container"]/div[1]/a')
  image(:va_health, :xpath => '//*[@id="landing-page-container"]/div[2]/img')
  span(:unread_icon, :css => '#requests .fonticon.chat.new-message')
  h3(:booked_VA_appth3,:css => '#schedule-list > h3')
  h1(:main_header, :xpath => '//*[@id="main"]/div[1]/div/h1')
  h1(:appth1, :xpath => '//*[@id="main"]/div[1]/div/h1')
  link(:about_btn, :id=>"about-btn")
  # div(:app_version, :class=>"version")



  button(:home_apptpg_btn, :xpath => '//*[@id="landing-page-btn"]/span/span[1]')
  button(:home_requestspg_btn, :xpath => '//*[@id="landing-page-btn"]/span/span[1]')
  button(:home_manageapptpg_btn, :xpath => '//*[@id="landing-page-btn"]/span/span[1]')
  button(:app_login_btn, :id => 'login')

end
