define(['Global', 'Vent', 'PACTListView'],
	function(Global, vent, PACTListView){
		"use strict";

			var model = new Backbone.Model({
				facilityName: "TEST VAMC 3"
			}),
			PACTView = new PACTListView({collection: new Backbone.Collection(), model: model});

		PACTView.render();

		describe("Facility List Item", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('can update the facility', function(){
				PACTView.closePopup();
				expect(vent.trigger).toHaveBeenCalledWith('close:popup');
			});
		});
	}
);