define(['Global', 'Vent', 'DSClinicListItemView'],
    function(Global, vent, DSClinicListItemView){
        "use strict";

        var clinicView = new DSClinicListItemView({model: new Backbone.Model({
	        clinicId: "",
	        clinicName: "",
	        physicalLocation: "",
	        appointmentTimeSlot: [],
	        numAvailableSlots: 0
        })});
        clinicView.render();

        describe('Clinic Item View', function() {

	        it('triggers a call to set a clinic by passing model', function () {
	        	spyOn(vent, 'trigger');
	        	clinicView.setClinic();
		        expect(vent.trigger).toHaveBeenCalledWith('set:direct-scheduling:clinic', clinicView.model);
	        });

        });
    }
);