define(['Global', 'Vent', 'DSAppointmentListing'],
	function(Global, vent, DSAppointmentListing){
		"use strict";

		var appointmentsListView = new DSAppointmentListing({collection: new Backbone.Collection(), model: new Backbone.Model()});

		appointmentsListView.render();

		describe("Appointments List", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('returns to the view appointments facility selection screen', function(){
				appointmentsListView.goBack();

				expect(vent.trigger).toHaveBeenCalledWith('show:direct-scheduling:view');
			});
		});
	}
);