define(['../../app/js/tools/global', 'Vent', 'EmailConfirmationView'],
	function(Global, vent, EmailConfirmationView){
		'use strict';

		describe("Email Confirmation Screen", function(){
			var view = new EmailConfirmationView();

			view.render();

			beforeEach(function () {
				spyOn(vent, "trigger");
			});

			it("can navigate back to the landing page", function(){
				view.showLanding();
				expect(vent.trigger).toHaveBeenCalledWith('show:landing');
			});
		});

	}
);