(function () {

	require.config({
		paths: {
			// path configuration assumes .js suffix

			// Libraries
			'jquery': '../libs/js/jquery-1.9.1.min',
			'Underscore': '../libs/js/lodash',
			'async': 'async',
			'asyncSeries': 'asyncSeries'
		},
		shim: {
			'jquery': {
				exports: '$'
			},
			'Underscore': {
				exports: '_'
			},
			'async': {
				exports: 'async'
			},
			'asyncSeries': {
				exports: 'asyncSeries'
			}
		}
	});

	define(
		['setup'],

		function (setup) {
			setup.initialize();
		}
	);

}());
